import $ from 'jquery';
import Abstract from './Abstract';
import QuantityInputCollection from '../Form/QuantityInputCollection';

/**
 * AddToCart za grupirane proizvode.
 */
export default class Grouped extends Abstract
{
    // noinspection JSUnusedGlobalSymbols
    _initQuantity($form)
    {
        this._quantity = new QuantityInputCollection();

        $.each($form.find('.add-to-cart__child'), $.proxy(function(i, child) {
            let $child = $(child),
                productId = parseInt($child.data('product-id')),
                input = $child.find('.quantity-input')[0];

            this._quantity.add(productId, input);
        }, this));
    }

    get _request()
    {
        let data = {
            groupedProductId: this._productId,
            type: 'grouped',
            products: {}
        };

        $.each(this._quantity.inputs, function(id, input) {
            if (input.value > 0) {
                data.products[id] = input.value;
            }
        });

        return data;
    }

    /**
     * Kada dobijemo odgovor sa servera.
     *
     * @param e
     * @param fragments
     */
    onResponse(e, fragments)
    {
        super.onResponse(e, fragments);

        $.each(this._quantity.inputs, function(id, qty) {
            qty.value = 0;
        });
    }
}