import QuantityInput from './QuantityInput';

export default class QuantityInputCollection
{
    constructor()
    {
        this.inputs = {};
    }

    get valid()
    {
        let valid = true;

        $.each(this.inputs, function(id, input) {
            valid = valid && input.valid;
        });

        return valid;
    }

    get value()
    {
        let value = 0;

        $.each(this.inputs, function(id, input) {
            value += input.value;
        });

        return value;
    }

    add(productId, input)
    {
        input = new QuantityInput(input);

        $(input).on('change', $.proxy(function() {
            $(this).trigger('change');
        }, this));

        this.inputs[productId] = input;
    }
}