import $ from 'jquery';

import SimpleAddToCart from './AddtoCart/Simple';
import GroupedAddToCart from './AddtoCart/Grouped';
import VariableAddToCart from './AddtoCart/Variable';

require('./cart');
require('./update-fragments');
require('./Form/quantity-input');
require('../scss/main.scss');

let components = [];

function init()
{
    $('.add-to-cart').each(function(i, el) {
        let $el = $(el);

        if ($el.hasClass('add-to-cart--simple')) {
            components.push(new SimpleAddToCart(el));
        } else if ($el.hasClass('add-to-cart--grouped')) {
            components.push(new GroupedAddToCart(el));
        } else if ($el.hasClass('add-to-cart--variable')) {
            components.push(new VariableAddToCart(el));
        } else {
            throw "Nepoznati add-to-cart tip";
        }
    });
}

$(init);