<?php
namespace Ep\Woo\View\AddToCart;

use Ep\Woo\View\Model\AddToCart;

/**
 * Class Grouped
 *
 * @package Ep\Woo\View\AddToCart
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class Grouped extends AbstractAddToCart
{
    const TEMPLATE = '@woo/single-product/add-to-cart/grouped.html.twig';

    protected $templateOverrides = [
        'single-product/add-to-cart/grouped.php',
    ];

    /**
     * Renderira view.
     *
     * @return string
     *
     * @throws \Twig_Error_Loader
     * @throws \Twig_Error_Runtime
     * @throws \Twig_Error_Syntax
     */
    public function render(): string
    {
        /** @var \WC_Product $product */
        global $product;

        if (null === $product) {
            return '';
        }

        return $this->twig->render(self::TEMPLATE, [
            'this' => new AddToCart($product),
        ]);
    }
}