<?php
namespace Ep\Woo\View\AddToCart;

use Ep\Woo\View\Model\AddToCart;

/**
 * Dodaj u košaricu za simplove.
 *
 * @package Ep\Woo\View\SingleProduct\AddToCart
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class Simple extends AbstractAddToCart
{
    const TEMPLATE = '@woo/single-product/add-to-cart/simple.html.twig';

    /** @var array */
    protected $templateOverrides = [
        'single-product/add-to-cart/simple.php',
    ];

    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function init(): void
    {
        parent::init();

        add_action('woo/add-to-cart/simple', [$this, 'output']);
    }

    /**
     * Renderira view.
     *
     * @return string
     *
     * @throws \Twig_Error_Loader
     * @throws \Twig_Error_Runtime
     * @throws \Twig_Error_Syntax
     */
    public function render(): string
    {
        /** @var \WC_Product $product */
        global $product;

        if (null === $product || !$product->is_purchasable()) {
            return '';
        }

        return $this->twig->render(self::TEMPLATE, [
            'this' => new AddToCart($product),
        ]);
    }
}