<?php
namespace Ep\Woo\View;

use WC_Product;

/**
 * Renderira cijenu proizvoda.
 *
 * @package Mishe\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class Price extends AbstractView
{
    const TEMPLATE = '@woo/loop/price.html.twig';

    /** @var array */
    protected $templateOverrides = [
        'loop/price.php',
    ];

    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function init(): void
    {
        parent::init();

        add_action('woo/loop/price', [$this, 'output']);
    }

    /**
     * Renderira cijenu.
     *
     * @param WC_Product|null $product
     *
     * @return string
     *
     * @throws \Twig_Error_Loader
     * @throws \Twig_Error_Runtime
     * @throws \Twig_Error_Syntax
     */
    public function render($product = null): string
    {
        if (null === $product || is_string($product)) {
            $product = $GLOBALS['product'];
        }

        return $this->twig->render(self::TEMPLATE, [
            'price' => new Model\Price($product),
        ]);
    }
}