<?php
namespace Ep\Woo\View;

/**
 * Class QuantityInput
 *
 * @package Ep\Woo\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class QuantityInput extends AbstractView
{
    const TEMPLATE = '@woo/global/quantity-input.html.twig';

    protected $templateOverrides = [
        'global/quantity-input.php',
    ];

    /**
     * Renderira view.
     *
     * @return string
     *
     * @throws \Twig_Error_Loader
     * @throws \Twig_Error_Runtime
     * @throws \Twig_Error_Syntax
     */
    public function render(): string
    {
        $args = func_get_args()[3];

        $args['input_label'] = __('Quantity', 'woocommerce');
        $args['input_title'] = _x('Qty', 'Product quantity input tooltip', 'woocommerce');

        return $this->twig->render(self::TEMPLATE, $args);
    }
}